Profile for a confined compatibility access token
GET /sso/profile: Profile for a confined compatibility access token.
GET /sso/profile
Requires current deployment and environment compatibility gates and a live publishable client key. Native access tokens and grants are refused.
- Scope
sso:profile- Auth
- Access token
- Since
- 1.0
Responses
Section titled “Responses”- 200 Normalized profile WorkosProfile
- 401 Codes: authentication_required, api_key_invalid. Error
- 403 Codes: api_key_scope_missing, ip_not_allowed, plan_limit_reached. Error
- 429 Code: rate_limited. Retry-After is set. Error
- 503 Code: service_unavailable. Retry-After is set; writes are paused. Error
- default Any other error, including internal_error. Every code is in the error catalogue. Error
Errors share one shape; see the error code catalogue.
curl -X GET \ "https://api.ohauthcat.com/sso/profile" \ -H "Authorization: Bearer $OHAUTHCAT_ACCESS_TOKEN"const response = await fetch("https://api.ohauthcat.com/sso/profile", { method: "GET", headers: { Authorization: `Bearer ${process.env.OHAUTHCAT_ACCESS_TOKEN}`, },});const data = await response.json();import osimport requests
response = requests.get( "https://api.ohauthcat.com/sso/profile", headers={"Authorization": f"Bearer {os.environ['OHAUTHCAT_ACCESS_TOKEN']}"},)data = response.json(){ "id": "01J9Z3K5V7W8X9Y0Z1A2B3C4D5", "object": "profile", "connection_id": "conn_01J9Z3K5V7W8X9Y0Z1A2B3C4D5", "connection_type": "GenericSAML", "organization_id": "org_01J9Z3K5V7W8X9Y0Z1A2B3C4D5", "idp_id": "0oa1b2c3d4E5F6g7h8i9", "email": "jane@acme.com", "first_name": "Jane", "last_name": "Doe", "name": "Acme Corp", "role": { "slug": "acme" }, "roles": [ { "slug": "acme" } ], "groups": [ "Engineering" ], "custom_attributes": {}, "raw_attributes": {}}